// préambule asymptote
usepackage("amsmath,amssymb");
usepackage("inputenc","utf8");
usepackage("icomma");

import lib_jl;

unitsize(1cm,1cm);

limits(-5.5,5.5);
ylimits(-5.5,5.5);

xaxis(BottomTop,xmin=-5.5,xmax=5.5,Ticks("%",extend=true,Step=1),p=linewidth(1pt)+gray(0)+dotted);
yaxis(LeftRight,ymin=-5.5,ymax=5.5,Ticks("%",extend=true,Step=1),p=linewidth(1pt)+gray(0)+dotted);

real F(real x) {return 1/10*x^3+1/10*x^2-1/5*x+1;}
draw(graph(F,-6,6,n=400),linewidth(1pt)+red+solid);

real G(real x) {return 0.3*(x-1)+1;}
draw(graph(G,-6,6,n=400),linewidth(1pt)+darkblue+solid);

xlimits(-5.5,5.5,Crop);
ylimits(-5.5,5.5,Crop);

xaxis(axis=YEquals(0),xmin=-5.5,xmax=5.5,Ticks(scale(.7)*Label(),beginlabel=true,endlabel=true,begin=true,end=true,NoZero,Step=1,Size=1mm),p=linewidth(1pt)+black,Arrow(2mm),true);
yaxis(axis=XEquals(0),ymin=-5.5,ymax=5.5,Ticks(scale(.7)*Label(),beginlabel=true,endlabel=true,begin=true,end=true,NoZero,Step=1,Size=1mm),p=linewidth(1pt)+black,Arrow(2mm),true);

label(scale(1.25)*"$\mathcal{C}_f$", (4,5));
label(scale(1.25)*"$\mathcal{T}$", (4,2), N);

shipout(bbox(0.1cm,0.1cm,white));

