// préambule asymptote
usepackage("amsmath,amssymb");
usepackage("inputenc","utf8");
usepackage("icomma");

import lib_jl;

unitsize(1cm,1cm);
xlimits(-5,5);
ylimits(-5,3);

xaxis(BottomTop,xmin=-5,xmax=5,Ticks("%",extend=true,Step=1),p=linewidth(1pt)+gray(0)+dotted);
yaxis(LeftRight,ymin=-5,ymax=3,Ticks("%",extend=true,Step=1),p=linewidth(1pt)+gray(0)+dotted);

real F(real x) {return log(x+1);}
draw(graph(F,-0.9999999999,6,n=400),linewidth(1.5pt)+black+solid);

point pA=(-1,-1), pB=(-1,1);
draw(line(pA,pB),linewidth(1.5pt)+red+dashed);
label(rotate(90)*"$\boldsymbol{ x=-1 }$", (-1,-4)-.5, fontsize(12pt)+red);

xlimits(-5,5,Crop);
ylimits(-5,5,Crop);

xaxis(axis=YEquals(0),xmin=-5,xmax=5,Ticks(scale(.7)*Label(),beginlabel=true,endlabel=true,begin=true,end=true,NoZero,Step=10,Size=1mm),p=linewidth(1pt)+black,Arrow(2mm),true);
yaxis(axis=XEquals(0),ymin=-5,ymax=3,Ticks(scale(.7)*Label(),beginlabel=true,endlabel=true,begin=true,end=true,NoZero,Step=1,Size=1mm),p=linewidth(1pt)+black,Arrow(2mm),true);


shipout(bbox(0.1cm,0.1cm,white));

