// préambule asymptote
usepackage("amsmath,amssymb");
usepackage("inputenc","utf8");
usepackage("icomma");

import lib_jl;

unitsize(0.5cm,0.125cm);
xlimits(-3,6);
ylimits(-20,20);

xaxis(BottomTop,xmin=-3,xmax=6,Ticks("%",extend=true,Step=1),p=linewidth(1pt)+gray(.8)+dotted);
yaxis(LeftRight,ymin=-20,ymax=20,Ticks("%",extend=true,Step=1),p=linewidth(1pt)+gray(.8)+dotted);

real F(real x) {return 2/(x-3)+5;}
draw(graph(F,-4,2.999999,n=400),linewidth(1.5pt)+black+solid);
real G(real x) {return 2/(x-3)+5;}
draw(graph(G,3.000001,6,n=400),linewidth(1.5pt)+black+solid);

point pA=(3,-10), pB=(3,10);
draw(line(pA,pB),linewidth(1.5pt)+red+dashed);
label(rotate(90)*"$\boldsymbol{x=3}$", (3,-10)+.5, fontsize(8pt)+red);
point pA=(-3,5), pB=(3,5);
draw(line(pA,pB),linewidth(1.5pt)+heavygreen+dashed);
label("$\boldsymbol{y=5}$", (-2,6), fontsize(8pt)+heavygreen);

xlimits(-3,6,Crop);
ylimits(-20,20,Crop);

xaxis(axis=YEquals(0),xmin=-3,xmax=6,Ticks(scale(.4)*Label(),beginlabel=true,endlabel=true,begin=true,end=true,NoZero,Step=1,Size=1mm),p=linewidth(1pt)+black,Arrow(2mm),true);
yaxis(axis=XEquals(0),ymin=-20,ymax=20,Ticks(scale(.4)*Label(),beginlabel=true,endlabel=true,begin=true,end=true,NoZero,Step=10,Size=1mm),p=linewidth(1pt)+black,Arrow(2mm),true);


shipout(bbox(0.1cm,0.1cm,white));

