// préambule asymptote
usepackage("amsmath,amssymb");
usepackage("inputenc","utf8");
usepackage("icomma");

import lib_jl;

unitsize(1cm,1cm);
xlimits(-2,7);
ylimits(-3,5);

xaxis(BottomTop,xmin=-2,xmax=7,Ticks("%",extend=true,Step=1),p=linewidth(1pt)+gray(0)+dotted);
yaxis(LeftRight,ymin=-3,ymax=5,Ticks("%",extend=true,Step=1),p=linewidth(1pt)+gray(0)+dotted);

real F(real x) {return x-3+1/x;}
draw(graph(F,-0.9999999999,8,n=400),linewidth(1.5pt)+black+solid);
real G(real x) {return x-3;}
draw(graph(G,-0.9999999999,8,n=400),linewidth(1.5pt)+red+solid+dashed);

label(rotate(45)*"$\boldsymbol{ y = x-3 }$", (5,2)+.5, fontsize(12pt)+red);

xlimits(-2,7,Crop);
ylimits(-3,5,Crop);

xaxis(axis=YEquals(0),xmin=-2,xmax=7,Ticks(scale(.7)*Label(),beginlabel=true,endlabel=true,begin=true,end=true,NoZero,Step=10,Size=1mm),p=linewidth(1pt)+black,Arrow(2mm),true);
yaxis(axis=XEquals(0),ymin=-3,ymax=5,Ticks(scale(.7)*Label(),beginlabel=true,endlabel=true,begin=true,end=true,NoZero,Step=1,Size=1mm),p=linewidth(1pt)+black,Arrow(2mm),true);


shipout(bbox(0.1cm,0.1cm,white));

