// préambule asymptote
usepackage("amsmath,amssymb");
usepackage("inputenc","utf8");
usepackage("icomma");

import lib_jl;

unitsize(1cm,2cm);

xlimits(-1.25,10);
ylimits(-0.5,3.5);

xaxis(BottomTop,xmin=-1.25,xmax=10,Ticks("%",extend=true,Step=1),p=linewidth(0.5pt)+gray(0)+dotted);
yaxis(LeftRight,ymin=-0.5,ymax=3.5,Ticks("%",extend=true,Step=1),p=linewidth(0.5pt)+gray(0)+dotted);

xlimits(-1.25,10,Crop);
ylimits(-0.5,3.5,Crop);

real f(real x) {return 1/8*(x-5)^2+3/2;}

pair O=(0,0), I=(1,0), J=(0,1), A=(1,1), D=(3,0), E=(8,0), F=(3,f(3)), G=(8,f(8));
label("$O$",O,4.5000(-0.2121,-0.2121));
label("$I$",I,1.5*S);
label("$J$",J,1.5*W);
label("$A$",A, .125*NE);

filldraw(O--I--A--J--cycle, lightgray, linewidth(1pt));

path Cf=graph(f, 2.5, 8.5, n=400);
draw(Cf, linewidth(1pt));
path domaineD = buildcycle(F--D--E--G, graph(f,3,8));

fill(domaineD, pattern("hachures1"));

//draw(F--G, linewidth(1.5pt));
draw((D.x,D.y-.5)--(F.x,F.y+.5), gray(0)+dashed);
draw((E.x,E.y-.5)--(G.x,G.y+.5), gray(0)+dashed);

label("Domaine $D$", (5.5,1), fontsize(18pt), Fill(white));
label("$\int_{a}^{b} f(t)\; dt$", (5.5,.5), fontsize(18pt), Fill(white));
label("$a$", D, 1.75*S, fontsize(18pt), Fill(white));
label("$b$", E, 1.25*S, fontsize(18pt), Fill(white));

xaxis(axis=YEquals(0),xmin=-1.25,xmax=10,Ticks("%",NoZero,Step=1,Size=1mm),p=linewidth(1pt)+black,Arrow(2mm),true);
yaxis(axis=XEquals(0),ymin=-0.5,ymax=3.5,Ticks("%",NoZero,Step=1,Size=1mm),p=linewidth(1pt)+black,Arrow(2mm),true);

shipout(bbox(0.1cm,0.1cm,white));


